Loading...
Searching...
No Matches
oscore_ctx_t Struct Reference
Libcoap Internal API » OSCORE Support

`#include <oscore_context.h>`

Collaboration diagram for oscore_ctx_t:
[legend]

## Data Fields

struct oscore_ctx_t * | next
coap_bin_const_t * | master_secret
coap_bin_const_t * | master_salt
coap_bin_const_t * | common_iv
| Derived from Master Secret, Master Salt, and ID Context.
coap_bin_const_t * | id_context
| contains GID in case of group
oscore_sender_ctx_t * | sender_context
oscore_recipient_ctx_t * | recipient_chain
cose_alg_t | aead_alg
cose_hkdf_alg_t | hkdf_alg
oscore_mode_t | mode
uint8_t | rfc8613_b_1_2
| 1 if rfc8613 B.1.2 enabled else 0
uint8_t | rfc8613_b_2
| 1 if rfc8613 B.2 protocol else 0
uint32_t | ssn_freq
| Sender Seq Num update frequency.
uint32_t | replay_window_size
coap_oscore_save_seq_num_t | save_seq_num_func
| Called every seq num change.
void * | save_seq_num_func_param
| Passed to save_seq_num_func()

## Detailed Description

Definition at line 84 of file oscore_context.h.

## Field Documentation

## aead_alg

cose_alg_t oscore_ctx_t::aead_alg

Definition at line 93 of file oscore_context.h.

## common_iv

coap_bin_const_t* oscore_ctx_t::common_iv

Derived from Master Secret, Master Salt, and ID Context.

Definition at line 88 of file oscore_context.h.

## hkdf_alg

cose_hkdf_alg_t oscore_ctx_t::hkdf_alg

Definition at line 94 of file oscore_context.h.

## id_context

coap_bin_const_t* oscore_ctx_t::id_context

contains GID in case of group

Definition at line 90 of file oscore_context.h.

## master_salt

coap_bin_const_t* oscore_ctx_t::master_salt

Definition at line 87 of file oscore_context.h.

## master_secret

coap_bin_const_t* oscore_ctx_t::master_secret

Definition at line 86 of file oscore_context.h.

## mode

oscore_mode_t oscore_ctx_t::mode

Definition at line 95 of file oscore_context.h.

## next

struct oscore_ctx_t* oscore_ctx_t::next

Definition at line 85 of file oscore_context.h.

## recipient_chain

oscore_recipient_ctx_t* oscore_ctx_t::recipient_chain

Definition at line 92 of file oscore_context.h.

## replay_window_size

uint32_t oscore_ctx_t::replay_window_size

Definition at line 99 of file oscore_context.h.

## rfc8613_b_1_2

uint8_t oscore_ctx_t::rfc8613_b_1_2

1 if rfc8613 B.1.2 enabled else 0

Definition at line 96 of file oscore_context.h.

## rfc8613_b_2

uint8_t oscore_ctx_t::rfc8613_b_2

1 if rfc8613 B.2 protocol else 0

Definition at line 97 of file oscore_context.h.

## save_seq_num_func

coap_oscore_save_seq_num_t oscore_ctx_t::save_seq_num_func

Called every seq num change.

Definition at line 100 of file oscore_context.h.

## save_seq_num_func_param

void* oscore_ctx_t::save_seq_num_func_param

Passed to save_seq_num_func()

Definition at line 102 of file oscore_context.h.

## sender_context

oscore_sender_ctx_t* oscore_ctx_t::sender_context

Definition at line 91 of file oscore_context.h.

## ssn_freq

uint32_t oscore_ctx_t::ssn_freq

Sender Seq Num update frequency.

Definition at line 98 of file oscore_context.h.

The documentation for this struct was generated from the following file:

- oscore_context.h